#
# spec file for package scilab (Version 2.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake f2c g77 tcl tcl-devel tetex tk xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel te_ams te_latex tetex texinfo textutils timezone tk unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         scilab
Copyright:    distributable
Group:        Applications/Math
Provides:     scilab 
Autoreqprov:  on
Version:      2.6
Release:      117
Summary:      Large mathematical package
Url:          http://www-rocq.inria.fr/scilab/scilab.html
Source:       scilab-%{version}.src.tar.bz2
Patch:        scilab-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A large mathematical package containing a lot of demos. Please take a
look at the license information in /usr/lib/scilab/notice.* .
This program may not have a very appealing look, but it is as powerful
as some commercial products. Scilab even includes a converter for
Maple files.

Authors:
--------
    <Scilab@inria.fr>

SuSE series: xap

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f config/}}
libtoolize --force
cp aclocal.m4 acinclude.m4
aclocal
autoconf
rm config.cache
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --with-tk \
                        --with-xaw3d \
                        --with-gnu
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/scilab
cat bin/scilab | sed s:SCI=.*:SCI=/usr/lib/scilab: > x
mv x bin/scilab
chmod 755 bin/scilab
cp -a bin demos examples imp macros maple pvm3 routines tcl tests util $RPM_BUILD_ROOT/usr/lib/scilab
cp -a README  licen* scilab.* $RPM_BUILD_ROOT/usr/lib/scilab
mkdir -p $RPM_BUILD_ROOT/usr/lib/scilab/imp
cp -av imp/NperiPos.ps $RPM_BUILD_ROOT/usr/lib/scilab/imp
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
cp -a X11_defaults/Xscilab $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
cp -a X11_defaults/Metanet-color $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/
cp -a X11_defaults/*.xbm $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
cp -a X11_defaults/*.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
cp -a X11_defaults/Metanet*.help $RPM_BUILD_ROOT/usr/lib/scilab
rm -rf $RPM_BUILD_ROOT/usr/lib/scilab/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/scilab/man
cd man && cp -a README arma comm control dcd elementary fileio functions graphics gui linear metanet nonlinear polynomials programming pvm robust scicos signal sound tdcs tksci translation utilities $RPM_BUILD_ROOT/usr/lib/scilab/man
cd ..
install -d -o 0 -g 0 -m 755 $RPM_BUILD_ROOT/usr/bin/
cd $RPM_BUILD_ROOT/usr/bin && ln -sf ../lib/scilab/bin/scilab 
ln -sf ../lib/scilab/bin/xless

%files
%defattr(-,root,root)
/usr/bin/scilab
%doc README CHANGES ACKNOWLEDGEMENTS licen*
%docdir /usr/lib/scilab/man
/usr/lib/scilab
/usr/X11R6/lib/X11/app-defaults/Xscilab
/usr/X11R6/lib/X11/app-defaults/Metanet-color
/usr/X11R6/include/X11/bitmaps/scilab.xbm
/usr/X11R6/include/X11/bitmaps/metanet.xbm
/usr/X11R6/include/X11/pixmaps/scilab.xpm
/usr/X11R6/include/X11/pixmaps/metanet.xpm

%clean
#rm -rf $RPM_BUILD_ROOT

%changelog -n scilab
* Tue Jun 12 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Fri Apr 20 2001 - cihlar@suse.cz
- fixed to compile on s390 and axp
* Tue Apr 03 2001 - cihlar@suse.cz
- update to version 2.6
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Tue Feb 20 2001 - cihlar@suse.cz
- fixed to compile on axp and ia64
* Fri Jan 19 2001 - cihlar@suse.cz
- added directories examples, imp, pvm3, routines
- compile with --with-tk
* Wed Nov 15 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright tag
- fixed file list
* Wed May 17 2000 - cihlar@suse.cz
- removed /usr/doc/packages
* Mon Apr 17 2000 - cihlar@suse.cz
- fixed to compile on sparc
* Thu Apr 13 2000 - cihlar@suse.cz
- added autoconf
- fixed to compile
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to the list of packages needed for building scilab
* Tue Mar 14 2000 - cihlar@suse.cz
- removed Makefile.Linux
- added BuildRoot
* Wed Feb 02 2000 - fehr@suse.de
- fixes to build on alpha and sparc
* Thu Jan 13 2000 - fehr@suse.de
- changed to new version 2.5
* Mon Oct 18 1999 - ro@suse.de
- fixed neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri May 21 1999 - ro@suse.de
- fixed to build on alpha and with glibc-2.1
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Sun Dec 20 1998 - bs@suse.de
- use egcs for build
* Wed Nov 25 1998 - ro@suse.de
- fixed to build with glibc
* Wed Dec 03 1997 - ro@suse.de
- fixed start-script (executable-flags)
* Mon Nov 17 1997 - ro@suse.de
- removed .orig's
* Wed Oct 29 1997 - bs@suse.de
- fixed scripts (dold & scilab.g)
* Fri Oct 24 1997 - fehr@suse.de
- prepare package for automatic build
- switched to new version 2.3.1
* Thu Jun 26 1997 - fehr@suse.de
- add file /usr/lib/scilab/imp/NperiPos.ps to package
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic links realtive
